Download it now!
Bug 130205 - Invisible icons with Breeze Dark theme
Summary: Invisible icons with Breeze Dark theme
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.1
Keywords:
Depends on:
Blocks: Icon-Themes
  Show dependency treegraph
 
Reported: 2020-01-26 15:09 UTC by RGB
Modified: 2020-05-08 08:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Three screenshots, one presenting the problem, the other two for comparison (55.90 KB, application/gzip)
2020-01-26 15:09 UTC, RGB
Details
Breeze Dark issue (13.02 KB, application/gzip)
2020-01-28 12:19 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description RGB 2020-01-26 15:09:09 UTC
Created attachment 157437 [details]
Three screenshots, one presenting the problem, the other two for comparison

Situation: openSUSE Leap 15.1, Plasma desktop in dark mode, with both, openSUSE's LibreOffice 6.3.4.2 and vanilla 6.4.0rc3. Tested with GTK3 and kf5 VCL plug-ins.

As you can see in the screenshots inside the attachment (the mouse pointer indicates where the anchor is), when using Breeze Dark icon theme the anchor point for pictures/frames is almost invisible. For comparison, in the tar.gz file you'll also find screenshots with sifr-dark and elementary icon themes: on both the anchor point is perfectly visible.
Comment 1 RGB 2020-01-26 15:35:08 UTC
Additional info: when you change icon theme, the anchor point does not follow immediately, you need to restart LibreOffice to see the change.
Comment 2 Dieter 2020-01-28 07:28:32 UTC
I confirm it with

Version: 7.0.0.0.alpha0+ (x64)
Build ID: eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

But it's the same with sifr dark
Comment 3 Rizal Muttaqin 2020-01-28 12:19:52 UTC
Created attachment 157479 [details]
Breeze Dark issue

Yes, I confirm this.

In the broader part, some other elements also affected, see the attachment.

Version: 7.0.0.0.alpha0+
Build ID: 4ff12ba6f4639c73587f2bb58afcc3ca6fb30105
CPU threads: 4; OS: Linux 4.20; UI render: default; VCL: kf5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-01-24_21:09:14
Locale: id-ID (id_ID.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2020-01-28 15:30:56 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/77ce7835e7e46290d8d3204cfa2e6d1ad39a0ee4

Breeze Dark: Fix for invisible icons (tdf#130205)

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-01-28 19:43:15 UTC
rizmut committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0577a1a303b3b24f2aee86a36041507bc0e8548a

Breeze Dark: Fix for invisible icons (tdf#130205)

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Dieter 2020-05-08 08:53:11 UTC
Verified with

Version: 7.0.0.0.alpha1+ (x64)
Build ID: 99c337d1d3831ce9d2c7dc1cbff713f4ac49d6ac
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: de-DE (de_DE); UI: en-GB
Calc: CL